<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Installation &mdash; cflowpy Jule 2023 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/sphinx_highlight.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Tutorial" href="tutorial.html" />
    <link rel="prev" title="Welcome to cflowpy’s documentation!" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            cflowpy
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">cflowpy:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#recommended-installation-with-pip-and-git">Recommended installation with pip and git+</a></li>
<li class="toctree-l2"><a class="reference internal" href="#alternative-installation-with-pip">Alternative installation with pip</a></li>
<li class="toctree-l2"><a class="reference internal" href="#alternative-installation-with-setup-py">Alternative installation with setup.py</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial</a></li>
<li class="toctree-l1"><a class="reference internal" href="grid.html">Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="physical_problem.html">Physical Problem</a></li>
<li class="toctree-l1"><a class="reference internal" href="integrator.html">Integrator</a></li>
<li class="toctree-l1"><a class="reference internal" href="system.html">Solving the incompressible Navier-Stokes Equation</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">cflowpy</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Installation</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/installation.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="installation">
<h1>Installation<a class="headerlink" href="#installation" title="Permalink to this heading"></a></h1>
<section id="recommended-installation-with-pip-and-git">
<h2>Recommended installation with pip and git+<a class="headerlink" href="#recommended-installation-with-pip-and-git" title="Permalink to this heading"></a></h2>
<div class="line-block">
<div class="line">Run</div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">`console</span>
<span class="pre">pip</span> <span class="pre">install</span> <span class="pre">git+https://git.rwth-aachen.de/Jan.Habscheid/cflowpy</span>
<span class="pre">`</span></code></p>
<p>in your terminal.</p>
</section>
<section id="alternative-installation-with-pip">
<h2>Alternative installation with pip<a class="headerlink" href="#alternative-installation-with-pip" title="Permalink to this heading"></a></h2>
<div class="line-block">
<div class="line">Clone the repository, go to the <strong>dist</strong> folder and run</div>
</div>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">pip install cflowpy-0.1-py3-none-any.whl</span>
</pre></div>
</div>
<p>For development install the optional dependencies for testing, documenting and building with</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">pip install cflowpy-0.1-py3-none-any.whl[dev]</span>
</pre></div>
</div>
<p>if you further would like to install the ipykernel package use</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">pip install cflowpy-0.1-py3-none-any.whl[dev,notebook]</span>
</pre></div>
</div>
</section>
<section id="alternative-installation-with-setup-py">
<h2>Alternative installation with setup.py<a class="headerlink" href="#alternative-installation-with-setup-py" title="Permalink to this heading"></a></h2>
<div class="line-block">
<div class="line">Get the current version of <code class="docutils literal notranslate"><span class="pre">cflowpy</span></code> from <strong>dist</strong> and unpack the .tar.gz file.</div>
<div class="line">Navigate to <code class="docutils literal notranslate"><span class="pre">cflowpy-0.1</span></code>, for version 0.1, and run</div>
</div>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">python setup.py install</span>
</pre></div>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="Welcome to cflowpy’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="tutorial.html" class="btn btn-neutral float-right" title="Tutorial" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Jan Habscheid.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>